from itertools import combinations

import networkx as nx
import matplotlib.pyplot as plt


def plot_co_played(co_played, figsize=(15, 10)):
    G = nx.Graph(co_played)

    f, ax = plt.subplots(1, figsize=figsize)
    nx.draw_kamada_kawai(G, with_labels=True,
                         edge_color='grey', node_color='magenta', font_color='black',
                         font_weight='bold', node_size=150),

    return ax
